EDIT - feature request #9786

Implement tags CY and fix PY handling for RIS import
09/23/2021 03:26 PM - Andreas Mller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Release 5.27

Severity: normal

Description

follow up for #6636

CY (Place published) is not yet handled.

PY handling has a bug and is not yet used therefore. If PY and DA is given, both need to be merged. If data is inconsistent and a

merge is doubtful therefore a warning needs to be given.

Related issues:

Related to EDIT - feature request #9809: Implement further tags for RIS refer... New
Related to EDIT - feature request #9888: Implement RIS import for book sections Closed
Copied from EDIT - feature request #6636: First version of RIS reference impo... Closed

Associated revisions

Revision d457f5b7 - 09/23/2021 05:26 PM - Andreas Miiller
fix #9786 implement CY and fix PY for RIS import (and fix Source handling for in-references)

History

#1 - 09/23/2021 05:26 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|d457f5b7c2{642f4c600124€9905ea01255645b4.

#2 - 09/23/2021 05:27 PM - Andreas Miuller

- Copied from feature request #6636: First version of RIS reference import (e.g. for Endnote import) added

#3 - 09/23/2021 05:32 PM - Andreas Miiller
- Priority changed from New to Highest

#4 - 10/12/2021 02:28 PM - Andreas Miuller

- Description updated

#5 - 10/12/2021 02:32 PM - Andreas Miuller

- Related to feature request #9809: Implement further tags for RIS reference import added

#6 - 10/12/2021 02:37 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

This should work as tests exist. If there are open issues we should add them to #9809

#7 - 11/29/2021 03:35 PM - Andreas Miiller

- Related to feature request #9888: Implement RIS import for book sections added
